
#ifndef __GPIO_H
#define __GPIO_H

#include "LPC13xx.h"

static LPC_GPIO_TypeDef (* const LPC_GPIO[4]) = { LPC_GPIO0, LPC_GPIO1, LPC_GPIO2, LPC_GPIO3 };

void GPIOInit( void );
void GPIOSetDir( uint8_t portNum, uint8_t bitPosi, uint8_t dir );
void GPIOSetValue( uint8_t portNum, uint8_t bitPosi, uint8_t bitVal );
uint8_t GPIOGetValue( uint8_t portNum, uint8_t bitPosi );

#endif
