#include "LPC13xx.h"
#include "gpio.h"
#define MCLK 72
#include "delay.h"

//*******************************************************************************
int main (void)
{
  /* Enable AHB clock to the GPIO domain. */
  LPC_SYSCON->SYSAHBCLKCTRL |= (1<<6);
 
  LPC_GPIO[0]->DIR |= 1<<2;			// Pin0.2 Output

  while(1)
  {
	LPC_GPIO[0]->MASKED_ACCESS[(1<<2)] = (1<<2);	   // High
	delay(1000000);
 	LPC_GPIO[0]->MASKED_ACCESS[(1<<2)] = 0;			   // Low
 	delay(1000000);
  }
}
//*******************************************************************************
